Bug 1078510 - AJAX Status component not found WARN messages in server.log when viewing Content Sources
Summary: AJAX Status component not found WARN messages in server.log when viewing Cont...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER02
: JON 3.3.0
Assignee: Lukas Krejci
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-19 19:38 UTC by Mike Foley
Modified: 2014-12-11 14:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:03:07 UTC
Type: Bug


Attachments (Terms of Use)
server log (1.18 MB, text/x-log)
2014-03-19 19:38 UTC, Mike Foley
no flags Details

Description Mike Foley 2014-03-19 19:38:55 UTC
Created attachment 876579 [details]
server log

Description of problem:


Version-Release number of selected component (if applicable):
JON 3.2.1 aka JON 3.2 CP1

How reproducible:
100%

Steps to Reproduce:
1.  http://<YourJONServer>:7080/coregui/#Administration/Content/ContentSources
2.
3.

Actual results:
WARN messages in server log.  (and i suspect something is missing from the UI)

Expected results:
no WARNs or missing component messages 

Additional info:
15:32:29,262 WARN  [org.ajax4jsf.renderkit.AjaxRendererUtils] (http-/0.0.0.0:7080-11) AJAX Status component not found for AjaxComponent with id contentProvidersDataTableScroller
15:32:29,278 WARN  [org.ajax4jsf.renderkit.AjaxRendererUtils] (http-/0.0.0.0:7080-7) AJAX Status component not found for AjaxComponent with id contentProvidersDataTableScroller

Comment 1 Mike Foley 2014-03-19 19:40:52 UTC
probably related ... but this error 


15:39:19,139 WARN  [org.ajax4jsf.renderkit.AjaxRendererUtils] (http-/0.0.0.0:7080-4) AJAX Status component not found for AjaxComponent with id reposDataTableScroller


When navigating to http://<YourJONServer>:7080/coregui/#Administration/Content/Repositories

Comment 2 Simeon Pinder 2014-04-03 15:11:24 UTC
This warning is also available with a fresh 3.2.0.GA build as well so taking this out of 3.2.1 issue bucket. Updating:
-Version to 3.2 
-Target Release to 3.2.2
for regular triage and fix/inclusion/defer/etc.

Comment 3 Lukas Krejci 2014-06-12 15:10:40 UTC
fix is in master

commit 3150c41379c2530a4ab50fd216fa891c0d78553d
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Thu Jun 12 17:05:28 2014 +0200

    [BZ 1078510] - Make sure to use the "plain" pagination on "plain" jsf pages
    
    This avoids the warning arising from the "non-plain" pagination trying to
    access page elements not present on the plain pages.

Comment 4 Lukas Krejci 2014-08-28 12:51:00 UTC
This fix is in the release branch. Ready for QE.


Note You need to log in before you can comment on or make changes to this bug.